<?php

namespace Ems\Services;

use Doctrine\ORM\EntityManager;

use Ems\Repository\ProcessoRepository;
use Ems\Util\Utils;

class ProcessoService {
    
    /** @var ProcessoRepository */
    protected $processoRepository;

    public function __construct(
        ProcessoRepository  $processoRepository
    ) {
        $this->processoRepository = $processoRepository;
    }
    
    public function getStatusProcesso(): array {
        return $this->processoRepository->getStatusProcesso(
            Utils::getParamters()->getNrorg(),
            Utils::getParamters()->getNrorgPadrao()
        );
    }
}
